EAPI EAPI_WEAK const Efl_Event_Description _EFL_ACCESS_WINDOW_EVENT_WINDOW_CREATED =
   EFL_EVENT_DESCRIPTION("window,created");
EAPI EAPI_WEAK const Efl_Event_Description _EFL_ACCESS_WINDOW_EVENT_WINDOW_DESTROYED =
   EFL_EVENT_DESCRIPTION("window,destroyed");
EAPI EAPI_WEAK const Efl_Event_Description _EFL_ACCESS_WINDOW_EVENT_WINDOW_ACTIVATED =
   EFL_EVENT_DESCRIPTION("window,activated");
EAPI EAPI_WEAK const Efl_Event_Description _EFL_ACCESS_WINDOW_EVENT_WINDOW_DEACTIVATED =
   EFL_EVENT_DESCRIPTION("window,deactivated");
EAPI EAPI_WEAK const Efl_Event_Description _EFL_ACCESS_WINDOW_EVENT_WINDOW_MAXIMIZED =
   EFL_EVENT_DESCRIPTION("window,maximized");
EAPI EAPI_WEAK const Efl_Event_Description _EFL_ACCESS_WINDOW_EVENT_WINDOW_MINIMIZED =
   EFL_EVENT_DESCRIPTION("window,minimized");
EAPI EAPI_WEAK const Efl_Event_Description _EFL_ACCESS_WINDOW_EVENT_WINDOW_RESTORED =
   EFL_EVENT_DESCRIPTION("window,restored");

static Eina_Bool
_efl_access_window_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifdef EFL_ACCESS_WINDOW_EXTRA_OPS
   EFL_OPS_DEFINE(ops, EFL_ACCESS_WINDOW_EXTRA_OPS);
   opsp = &ops;
#endif

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_access_window_class_desc = {
   EO_VERSION,
   "Efl.Access.Window",
   EFL_CLASS_TYPE_INTERFACE,
   0,
   _efl_access_window_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_access_window_interface_get, &_efl_access_window_class_desc, NULL, NULL);
